org.wildfly.swarm.config.elytron

## Class ChainedPrincipalTransformer<T extends ChainedPrincipalTransformer<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ChainedPrincipalTransformer<T>

-     public class ChainedPrincipalTransformer<T extends ChainedPrincipalTransformer<T>>
      extends Object

  A principal transformer definition where the principal transformer is a chaining of other principal transformers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChainedPrincipalTransformer(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `principalTransformer(String value)` The referenced principal transformers to chain.
    `List<String>` | `principalTransformers()` The referenced principal transformers to chain.
    `T` | `principalTransformers(List<String> value)` The referenced principal transformers to chain.
    `T` | `principalTransformers(String... args)` The referenced principal transformers to chain.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChainedPrincipalTransformer

          public ChainedPrincipalTransformer(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### principalTransformers

          public List<String> principalTransformers()

      The referenced principal transformers to chain.

    - #### principalTransformers

          public T principalTransformers(List<String> value)

      The referenced principal transformers to chain.

    - #### principalTransformer

          public T principalTransformer(String value)

      The referenced principal transformers to chain.

    - #### principalTransformers

          public T principalTransformers(String... args)

      The referenced principal transformers to chain.

Copyright © 2017 JBoss by Red Hat. All rights reserved.